#ifndef __ABAC_ID_H__
#define __ABAC_ID_H__

#include "abac_defines.h"

#include <credentials/keys/private_key.h>

/* exported */
extern int abac_id_has_privkey(abac_id_t *id);
extern char* abac_id_name(abac_id_t *);
extern private_key_t* abac_id_privkey(abac_id_t *);
extern char* abac_id_idtype_string(abac_id_t *id);
extern abac_id_t *abac_id_keyid_new(char *, char *, certificate_t *);
extern certificate_t *abac_id_cert(abac_id_t *);
extern char *abac_id_keyid(abac_id_t *id);
extern abac_id_t *abac_id_dup(abac_id_t *);
extern abac_id_t *abac_id_copy(abac_id_t *);
extern char *abac_id_cn(abac_id_t *);
extern int abac_idtype_lookup(char *);
extern char *abac_idtype_string(int);

#endif /* __ABAC_ID_H__ */
