#ifndef __ABAC_TERM_H__
#define __ABAC_TERM_H__

#include "abac_defines.h"
#include "abac_list.h"

/* exported */
/* for abac_aspect */
extern char *abac_term_type_name(abac_term_t*);
extern abac_condition_t *abac_term_constraint(abac_term_t*);
extern abac_param_list_t *abac_param_list_new(abac_term_t *);
extern char* abac_time_to_term(char*);
extern char* abac_param_list_string_with_condition(abac_param_list_t *);
extern char* abac_param_list_typed_string_with_condition(abac_param_list_t *);
extern char* abac_param_list_string(abac_param_list_t *ptr);
extern abac_list_t *abac_condition_range_list(abac_condition_t *ptr);
extern int abac_item_type(abac_item_t *);
extern char *abac_item_val(abac_item_t *);
extern char *abac_term_to_time(char *);
extern abac_aspect_t *abac_condition_of_aspect(abac_condition_t *ptr);
extern abac_list_t *abac_param_list(abac_param_list_t *ptr);
extern abac_term_t *abac_term_named_new(int idtype, char *name);
extern char *abac_term_name(abac_term_t *term);
extern abac_term_t *abac_term_new(int type, char *name, int isrange, char *cond, void *cptr);
extern abac_aspect_t *abac_aspect_oset_new(char *principal_name, char *oset_name);
extern abac_aspect_t *abac_aspect_role_new(char *principal_name, char *oset_name);
extern abac_item_t *abac_item_new(int itype, char *val);

extern abac_term_t *abac_term_copy(abac_term_t *);
extern abac_param_list_t *abac_param_list_copy(abac_param_list_t *);


#endif /* __ABAC_TERM_H__ */
