#ifndef __ABAC_VERIFIER_H__
#define __ABAC_VERIFIER_H__

#include "abac_defines.h"

/* exported */
extern char *abac_cn_with_sha(char *);
extern char *abac_idtype_with_sha(char*);
extern char *abac_idtype_string(int); 
extern int abac_verifier_session_remove_context(abac_context_t *);
extern void abac_verifier_session_add_context(abac_context_t *);
extern abac_id_credential_t *abac_id_credential_dup(abac_id_credential_t *);
extern abac_id_credential_t *abac_id_credential_lookup(char *);
extern char *abac_verifier_session_next_namespace();
extern void abac_add_cred(abac_credential_t *cred);
extern abac_id_credential_t *abac_check_id_cred(char *);
extern abac_credential_t *abac_check_cred(char *);
extern abac_id_credential_t *abac_id_credential_new(abac_id_t *a_id);
extern abac_credential_t *abac_credential_lookup(char* cred_string);
extern char *abac_credential_hashkey(abac_credential_t *ptr);
extern char *abac_id_credential_hashkey(abac_id_credential_t *ptr);
extern abac_credential_t *abac_credential_dup(abac_credential_t *ptr);
extern abac_credential_t *abac_credential_new(abac_attribute_t *attr, char*);
extern abac_id_t *abac_id_credential_id(abac_id_credential_t *ptr);
extern void abac_print_cred_info(abac_credential_t *cred, FILE *fp);
extern void abac_print_typed_cred_info(abac_credential_t *cred, FILE *fp);
extern abac_attribute_t *abac_credential_attribute(abac_credential_t *ptr);
extern void abac_verifier_session_dump();



#endif /* __ABAC_VERIFIER_H__ */
